Bug 1025435 - VM ticket was not set upon migration
VM ticket was not set upon migration
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
Desktop QE
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 12:57 EDT by David Jaša
Modified: 2015-02-27 14:45 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-27 14:45:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-10-31 12:57:30 EDT
Created attachment 817992 [details]
engine log

Description of problem:
VM ticket was not set upon migration so the virt-viewer showed just password prompt. This error happened to me just once around 17:26 local time (16:26 UTC). The VM name is rhel6-64-33-dj and VM UUID is dc636bfb-9fd2-45f4-874b-9e997ebf0d29

Version-Release number of selected component (if applicable):
is20.1 - engine and dst host:
  vdsm-4.13.0-0.5.beta1.el6ev.x86_64
  libvirt-0.10.2-29.el6.x86_64
  qemu-kvm-rhev-0.12.1.2-2.414.el6.x86_64
  spice-server-0.12.4-6.el6.x86_64
source host is is19:
  vdsm-4.13.0-0.3.beta1.el6ev.x86_64
  libvirt-0.10.2-29.el6.x86_64
  qemu-kvm-rhev-0.12.1.2-2.414.el6.x86_64
  spice-server-0.12.4-6.el6.x86_64

How reproducible:
just once

Steps to Reproduce:
1. do back and forth migrations with client connected 
2.
3.

Actual results:
client asked for password, qemu log says that the ticketing is enabled but password is not set (this is correct spice behaviour)

Expected results:
password is set

Additional info:
component is just a blind guess, the issue may be anywhere in the stack...
Comment 7 Michal Skrivanek 2013-11-07 09:00:19 EST
martin, please check in the logs, david, since it happened only once and under not really normal circumstances - moving out to 3.4
Comment 8 Martin Betak 2014-01-30 06:56:03 EST
The destination logs indicate that the qemu failed to hand over the ticket: 

((null):9709): Spice-Warning **: reds.c:2719:reds_handle_read_link_done: spice channels 1 should be encrypted
((null):9709): Spice-Warning **: reds.c:2820:reds_handle_ssl_accept: SSL_accept failed, error=5
red_dispatcher_loadvm_commands: 
((null):9709): Spice-Warning **: reds.c:1966:reds_handle_ticket: Ticketing is enabled, but no password is set. please set a ticket first
Comment 9 Michal Skrivanek 2014-01-30 06:58:54 EST
I'm not sure if anything else can be added without knowing what spice-server was thinking…
Comment 11 Uri Lublin 2014-01-30 08:33:52 EST
It does not look like a spice-server problem.
If the ticket was not set, spice-server can not accept connections.

The dst_libvirt_log, which is a suspect, does not contain information about the problematic VM.

The first attempt of the client to connect, just before migration
started, failed (SSL_accept failed with error 5 == SSL_ERROR_SYSCALL).
The second attempt to connect (after migration completed) failed, because
no ticket was set.
Comment 12 Christophe Fergeau 2014-05-30 09:56:44 EDT
David, have you hit that issue just once, or is it still occurring for you ?
Comment 13 David Jaša 2014-05-30 10:56:45 EDT
I didn't use RHEV for a while so I didn't hit it recently but it just popped up time to time. It was neither frequent, nor one-time issue. Have you had a look to code paths that Uri pointed at?
Comment 14 Christophe Fergeau 2014-05-30 11:11:01 EDT
Client logs could probably help there :(
Comment 16 Marc-Andre Lureau 2015-02-27 14:45:33 EST
closing for now, feel free to reopen with more details on how to reproduce & logs thanks

Note You need to log in before you can comment on or make changes to this bug.